<?php


namespace WPDesk\FakturyKSEF\Xml\Validators;

class XsdErrorMapper {

	/**
	 * @var Error[]
	 */
	private array $errors = [];

	public function __construct( $errors ) {
		foreach ( $errors as $error ) {
			$this->errors[] = new Error( $error );
		}
	}

	public function get_errors(): array {
		return $this->errors;
	}
}
